.TH megaco_codec_mstone2 3 "megaco  3.11.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
megaco_codec_mstone2 \- This module implements a simple megaco codec-based performance tool\&.
.SH DESCRIPTION
.LP
This module implements the \fImstone2\fR tool, a simple megaco codec-based performance tool\&.
.LP
The results, the mstone value(s), are written to stdout\&.
.LP
\fINote\fR that this module is \fInot\fR included in the runtime part of the application\&.

.SH EXPORTS
.LP
.B
start() -> void()
.br
.B
start(MessagePackage) -> void()
.br
.RS
.TP
Types
MessagePackage = message_package()
.br
message_package() = atom()
.br
.RE
.RS
.LP
This function starts the \fImstone2\fR performance test with all codec configs\&. Processes are created dynamically\&. Each process make \fIone\fR run through their messages (decoding and encoding messages) and then exits\&. When one process exits, a new is created with the same codec config and set of messages\&. 
.LP
The number of messages processed in total (for all processes) is the mstone value\&.
.RE
